Send notification to the customer by SMS, Email, Email with attachment etc. In order to use this API, we must first need to set the Mustache template in the property.Introduces a new TEMPLATE EclipseNotificationType type, supported via Handlebars templates for dynamic, multi-channel messaging.

Use to send notification.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
Body Params

Allow to send notification

string
int64
string
required
length ≥ 3

Data must be sent in JSON format, Data is bound with Mustache template(templateId) so need to send the same key that is used in a template.For email attachment use key 'mediaType' & 'base64EncodedAttachment' in data JSON format

deviceMessage
object
string
string
string
length between 3 and 100

Mustache template Id for notification. The eclipse will look templateId in the property if templateId is found then it will send SMS else return an error. Need to set templateId in this format in property mustache.sms.<tenantId>.<templateId> i.e If tenants set property like mustache.sms.2.auth then they can pass either mustache.sms.2.auth or auth as templateId value.

int64
string
enum

Type of notification to be sent. If not provided in the request, the system will determine the type based on customer ID, wallet ID, or tenant ID. If none match, an SMS notification will be sent by default.

Allowed:
int64
Responses
204

OK

400

Bad Request

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!